"use strict";
/**
 * @name getItem
 * @private
 * @param {string} name name key for localstorage
 * @description function for get data in localstorage
 * @example setItem() // 		getItem('data') // [{ visa: 2 }]
 * @returns data from localstorage
 */
Object.defineProperty(exports, "__esModule", { value: true });
var getItem = function (name) {
    var itemStr = localStorage.getItem(name);
    if (!itemStr) {
        return null;
    }
    var item = JSON.parse(itemStr);
    if (item.expiry < new Date().getTime()) {
        localStorage.removeItem(name);
        return null;
    }
    return item.value;
};
exports.default = getItem;
//# sourceMappingURL=index.js.map