"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var getItem_1 = __importDefault(require("./getItem"));
var setItem_1 = __importDefault(require("./setItem"));
/**
 * @module browserLocalstorage
 * @description module for manage cache from localstorage with expiration
 * @example const localCache = browserLocalstorage();
 * @returns methods getItem and saveItem
 */
var browserLocalstorage = function () {
    return {
        /**
         * @function getItem
         * @param {string} name - name key for localstorage
         * @description function for get data in localstorage
         * @returns data from localstorage
         * @example
         * const localCache = browserLocalstorage();
         * localCache.localGetItem('data')
         */
        getItem: getItem_1.default,
        /**
         * @function setItem
         * @param {string} name name key for localstorage
         * @param {*} value - data to save in localstorage
         * @param {number} [expiry = 5] - time of expiration in minutes
         * @description function for save data in localstorage
         * @returns void
         * @example
         * const localCache = browserLocalstorage();
         * localCache.setItem('data', [{ country: 2 }], 5);
         */
        setItem: setItem_1.default,
    };
};
exports.default = browserLocalstorage;
//# sourceMappingURL=index.js.map