"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
/**
 * @name setItem
 * @private
 * @param {string} name name key for localstorage
 * @param {*} value - data to save in localstorage
 * @param {number} [expiry = 5] - time of expiration in minutes
 * @description function for save data in localstorage
 * @example setItem() // 		setItem('data', [{ country: 2 }], 5);
 */
var setItem = function (name, value, expiry) {
    if (expiry === void 0) { expiry = 5; }
    var validExpiry = Number.isNaN(Number(expiry)) ? 5 : (0, utils_1.minutesToMilliseconds)(expiry);
    var item = {
        value: value,
        expiry: new Date().getTime() + validExpiry,
    };
    localStorage.setItem(name, JSON.stringify(item));
};
exports.default = setItem;
//# sourceMappingURL=index.js.map